EDIT - bug #8767

Workflow support for publish flag
12/13/2019 08:52 AM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

When changing an unpublished synonym to a MAN aftwards the MAN is published. This is not correct. The publish flag should have
the same value as the synonym before.

Please also check for similar operations.
These operations are:

swap synonym and accepted taxon - works

change synonym to MAN - works

change MAN to synonym - works

change accepted to synonym - works

change synonym to accepted taxon - works

move synonym/homotypic group to another taxon - works, but open issue: check synonyms of the homotypic group
e move accepted to new parent - works

Related issues:
Related to EDIT - bug #9426: Set publish flag for Synonyms in accordance with... Closed
Related to EDIT - bug #9516: Check publish flag of all homotypic synonyms whe... New

Associated revisions

Revision 037a20f8 - 02/04/2021 08:28 AM - Katja Luther

fix publish handling for synonyms and misapplied names and add sec handling for switch syn to accepted

Revision db73ee9a - 02/04/2021 09:10 AM - Katja Luther

publish also should be cloned in TaxonBase.clone

Revision 8b233e12 - 02/04/2021 09:58 AM - Katja Luther

revert setting publish in clone

Revision 37357617 - 02/24/2021 12:32 PM - Katja Luther

ref #8767: add information when publish flag of the new taxon differs from the parent

Revision Oafdad42 - 02/24/2021 01:22 PM - Katja Luther

ref #8767: add information when publish flag of the new taxon differs from the parent - continue

Revision 73c98fbf - 02/25/2021 10:32 AM - Katja Luther

ref #8767: add warning also for move syn and swap syn and accepted

Revision fef9b989 - 02/25/2021 11:21 AM - Katja Luther
ref #8767: add warning dialog instead of info dialog

Revision 8180179 - 02/25/2021 11:23 AM - Katja Luther
ref #8767: add warning dialog instead of info dialog

Revision 84d9b190 - 02/25/2021 12:52 PM - Katja Luther
ref #8767: fix publish flag when swap syn and accepted

Revision 8bc0e09e - 02/25/2021 12:55 PM - Katja Luther
ref #8767: fix publish flag when change accepted to syn

Revision 7¢961526 - 02/25/2021 12:56 PM - Katja Luther
ref #8767: add warning dialog for change acc to syn for different puplish flags

Revision 7eaf3bb5 - 02/25/2021 01:55 PM - Katja Luther

ref #8767: add warning dialog for change acc to syn for different puplish flags - continue

Revision 492fde02 - 02/26/2021 06:47 PM - Katja Luther
ref #8767: label issues

Revision d170d72d - 03/02/2021 09:43 AM - Katja Luther
ref #8767: fix publish flag when change man to syn

Revision f92f7076 - 03/04/2021 05:03 PM - Katja Luther
ref #8767: add publish status to taxonnodedto

Revision db1b9b38 - 03/04/2021 05:15 PM - Katja Luther
ref #8767: keep publish flag for MAN -> syn

Revision 60558{86 - 03/04/2021 05:16 PM - Katja Luther
ref #8767: keep publish flag for MAN -> syn

Revision 61e77456 - 03/04/2021 05:34 PM - Katja Luther

ref #8767: check for publish when moving taxon

Revision 7ff96e13 - 03/04/2021 07:09 PM - Katja Luther

ref #8767: fix warning for same publish flag when moving taxa

Revision 778ddd5e - 03/05/2021 10:49 AM - Katja Luther

ref #8767: adapt message for different publish flags in swap acc/syn

History

#1 - 01/16/2020 01:04 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#2 - 03/10/2020 10:17 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#3 - 04/08/2020 03:49 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#4 - 06/23/2020 01:54 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.18

#5 - 12/04/2020 09:11 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#6 - 01/27/2021 04:15 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.21

#7 - 01/28/2021 11:40 AM - Andreas Miiller

- Related to bug #9426: Set publish flag for Synonyms in accordance with accepted taxon publish flag added
#8 - 01/28/2021 11:42 AM - Andreas Miiller

- Tags changed from euro+med to euro+med, fast

#9 - 02/04/2021 08:47 AM - Katja Luther

This is fixed, also for pp synonyms.

| also adapted the changeSynonymToAcceptedTaxon, the newly created taxon has the same publish state as the synonym, is this the wanted
behaviour?

#10 - 02/04/2021 09:10 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 60

#11 - 02/04/2021 01:43 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
Katja Luther wrote:
| also adapted the changeSynonymToAcceptedTaxon, the newly created taxon has the same publish state as the synonym, is this the wanted

behaviour?

Yes | think this is ok. Maybe only in case the publish Flag of the new taxon differs from the publish flag of the parent of the new taxon we could add a
warning dialog saying that it differs and that it should be checked for correctnes.

#12 - 02/24/2021 12:33 PM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
Andreas Milller wrote:
Katja Luther wrote:
| also adapted the changeSynonymToAcceptedTaxon, the newly created taxon has the same publish state as the synonym, is this the

wanted behaviour?

Yes | think this is ok. Maybe only in case the publish Flag of the new taxon differs from the publish flag of the parent of the new taxon we could
add a warning dialog saying that it differs and that it should be checked for correctnes.

now there is a message box when the publish flags differ.

#13 - 02/25/2021 09:26 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

The message pops up 2x now

#14 - 02/25/2021 09:42 AM - Andreas Miiller

Also swapping synonym with accepted has strange behavior: only the names swap but the publish flag stays. E.g. if old accepted is published the

new accepted is also published and if the old synonym is unpublished the new synonym is also unpublished. This | think is unwanted.
In the rare case that the both status differ, we should keep the flag with the according taxon but warn that the flags differ.

#15 - 02/25/2021 09:42 AM - Andreas Miuiller

Accordingly we should check ALL operations to handle the publish flag correctly.

#16 - 02/25/2021 09:45 AM - Katja Luther

04/20/2024 3/9



Andreas Muller wrote:

The message pops up 2x now

With the actual nightly build | can not reproduce this.
#17 - 02/25/2021 09:49 AM - Andreas Miiller
Andreas Muller wrote:

The message pops up 2x now

| can not reproduce this anymore.
#18 - 02/25/2021 09:54 AM - Andreas Miiller
Andreas Miller wrote:
Accordingly we should check ALL operations to handle the publish flag correctly.

E.g. also move synonym to another accepted taxon should do the same check as synonymToAccepted. If the old accepted taxon has a different
publish flag then the new accepted taxon a warning should appear.

#19 - 02/25/2021 09:55 AM - Andreas Miiller

By the way, currently this is handled as an info (i) but | think a warning would be better.

#20 - 02/25/2021 11:35 AM - Katja Luther

Changing an unpublished accepted to a synonym of an published accepted taxon, how should we handle this? Keep the publish flag from the old
accepted taxon and warn?

#21 - 02/25/2021 04:25 PM - Andreas Miiller
Katja Luther wrote:
Changing an unpublished accepted to a synonym of an published accepted taxon, how should we handle this? Keep the publish flag from the

old accepted taxon and warn?

Yes, | think a warning is needed here. In general we should always warn if not all related taxa (taxon/syn itself, old parent/accepted, new
parent/accepted) do have the same pub. status.

#22 - 02/26/2021 08:05 AM - Katja Luther

- Status changed from Feedback to Resolved

implemented the publish check also for accepted to syn.

#23 - 02/26/2021 08:06 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#24 - 03/02/2021 12:27 PM - Katja Luther

- Description updated

#25 - 03/03/2021 12:25 PM - Katja Luther

- Description updated

#26 - 03/04/2021 03:35 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Testing swap:
e if parent taxon has state 1 and old+new taxon state 2 no warning appears

¢ if warning appears it says mentions only 2 taxa not all 3. To not to have a warning for each different case we should have 1 warning saying
"Parent taxon, old accepted taxon and new accepted taxon do not all have the same ..."
#27 - 03/04/2021 03:37 PM - Andreas Miiller

Katja, can you please test correct functionality for each of the above operations and leave a message in this ticket what you have tested.
E.g.

swap: parent 0, taxon 0, syn 1 => message appears (OK)
swap: parent 1, taxon 0, syn 1 => no message (FALSE)
swap: parent 1, taxon 1, syn1 => no message (OK)

#28 - 03/04/2021 04:10 PM - Katja Luther

For operations like swap | do not see the need to test for the parent if the old and the new accepted have the same publish status, because the status
of the child is still the same.

#29 - 03/04/2021 04:17 PM - Andreas Miiller
Katja Luther wrote:

For operations like swap | do not see the need to test for the parent if the old and the new accepted have the same publish status, because the
status of the child is still the same.

OK, you are right. In this special case it is not really needed to check all 3 related taxa.

#30 - 03/04/2021 04:47 PM - Andreas Miiller

- Description updated

#31 - 03/04/2021 05:00 PM - Andreas Miiller
Tested Syn => MAN/ppSyn
acc 1, syn 0 => MAN 0 (OK)

acc 0, syn 1 => MAN 1 (OK)
acc 0, syn 0 => MAN 0 (OK)

#32 - 03/04/2021 05:10 PM - Andreas Miiller
Tested MAN/ppSyn => Syn

acc 1, MAN O =>Syn 0
acc 1, MAN 1 => Syn 0
acc 0, MAN O => Syn 0
acc 0, MAN 1 =>Syn 0

OK)
FALSE)
0K)
FALSE)

—_ e~~~

The new synonym always looses its state when publish flag was checked. But it should keep the state (without warning in this case).
#33 - 03/04/2021 05:33 PM - Andreas Miiller

Tested change accepted to synonym

Old parent 1, old acc 1, new acc 1 => new syn 0, w/o warning (FALSE, should be 1 w/o warning)

Old parent 1, old acc 1, new acc 0 => new syn 0, with warning (OK)

Old parent 1, old acc 0, new acc 1 => new syn 1, w/o warning (FALSE, should be 1 with warning)
Old parent 1, old acc 0, new acc 0 => new syn 0, with warning (FALS, should be 0 w/o warning)

#34 - 03/04/2021 05:35 PM - Andreas Miiller

Andreas Miller wrote:
Tested change accepted to synonym
Old parent 1, old acc 1, new acc 1 => new syn 0, w/o warning (FALSE, should be 1 w/o warning)
Old parent 1, old acc 1, new acc 0 => new syn 0, with warning (OK)

Old parent 1, old acc 0, new acc 1 => new syn 1, w/o warning (FALSE, should be 1 with warning)
Old parent 1, old acc 0, new acc 0 => new syn 0, with warning (FALS, should be 0 w/o warning)

The evaluation assumes that the state of the old parent does not matter as discussed via email.

#35 - 03/04/2021 05:44 PM - Andreas Miiller
change synonym to accepted taxon

Old acc 1, old syn 1, new parent 1 => new acc 1 w/o warning (OK)
Old acc 1, old syn 0, new parent 1 => new acc 0 with warning (OK)
Old acc 1, old syn 1, new parent 0 => new acc 1 with warning (OK)
Old acc 1, old syn 0, new parent 0 => new acc 0 w/o warning (OK)
Old acc 0, old syn 1, new parent 1 => new acc 1 w/o warning (OK), old acc should have no influence

This operation looks ok.
#36 - 03/04/2021 05:48 PM - Katja Luther
Andreas Muller wrote:

Tested MAN/ppSyn => Syn

acc 1, MAN O => Syn 0

acc 1, MAN 1 =>Syn 0

acc 0, MAN O => Syn 0
acc 0, MAN 1 =>Syn 0

OK)
FALSE)
OK)
FALSE)

PR

The new synonym always looses its state when publish flag was checked. But it should keep the state (without warning in this case).

this is fixed.

#37 - 03/04/2021 06:04 PM - Andreas Miiller

Tested move synonym/homotypic group to another taxon

Old acc 1, old syn 1, new acc 1 => new syn 1 w/o warning (OK)

Old acc 1, old syn 0, new acc 1 => new syn 0 with warning (OK)

Old acc 1, old syn1 1, old syn2 0, new acc 1 => new syn1 1, new syn2 0 w/o warning (FALSE, the homotypic synonym syn2 should also be checked)
- if any of the synonyms in the HG differs from state of the new acc taxon the warning should come

Old acc 1, old syn 1, new acc 0 => new syn 1 with warning (OK)

Old acc 1, old syn 0, new acc 0 => new syn 0 w/o warning (OK)

Generally correct, but not yet implemented for full homotypic group

#38 - 03/04/2021 06:06 PM - Andreas Miiller

Katja, can you do the same check for "move accepted to new parent”. | don't if this is already fully fixed, committed and build in nightly
#39 - 03/04/2021 06:17 PM - Katja Luther
Andreas Muller wrote:
Andreas Miiller wrote:
Tested change accepted to synonym
Old parent 1, old acc 1, new acc 1 => new syn 0, w/o warning (FALSE, should be 1 w/o warning)
Old parent 1, old acc 1, new acc 0 => new syn 0, with warning (OK)

Old parent 1, old acc 0, new acc 1 => new syn 1, w/o warning (FALSE, should be 1 with warning)
Old parent 1, old acc 0, new acc 0 => new syn 0, with warning (FALS, should be 0 w/o warning)

The evaluation assumes that the state of the old parent does not matter as discussed via email.

| think the warnings should come when the new accepted taxon and the synonym have different publish flags and | checked it again and it looks like
this:

old acc 1, new acc 1 => new syn 1
old acc 1, new acc 0 => new syn 1 with warning

old acc 0, new acc 1 => new syn 0 with warning
old acc 0, new acc 0 => new syn 0

#40 - 03/04/2021 07:04 PM - Katja Luther

Andreas Muller wrote:

Katja, can you do the same check for "move accepted to new parent”. | don't if this is already fully fixed, committed and build in nightly
moved acc 0, new parent 1 => warning
moved acc 0, new parent 0 => no warning
moved acc 1, new parent 1 => warning -> false

#41 - 03/04/2021 07:10 PM - Katja Luther
Katja Luther wrote:

Andreas Muller wrote:

Katja, can you do the same check for "move accepted to new parent". | don't if this is already fully fixed, committed and build in nightly

moved acc 0, new parent 1 => warning
moved acc 0, new parent 0 => no warning
moved acc 1, new parent 1 => warning -> false
this is fixed, now:
moved acc 0, new parent 1 => warning
moved acc 0, new parent 0 => no warning

moved acc 1, new parent 1 => no warning
moved acc 1, new parent 0 => warning

#42 - 03/04/2021 08:09 PM - Andreas Miiller
- Subject changed from Change Synonym to Misapplied Name handles publish flag not correctly to Workflow support for publish flag

#43 - 03/04/2021 08:37 PM - Andreas Miiller
Katja Luther wrote:
Andreas Muller wrote:

Tested MAN/ppSyn => Syn
acc 1, MAN 0 => Syn 0 (OK)
acc 1, MAN 1 => Syn 0 (FALSE)
acc 0, MAN 0 => Syn 0 (OK)
acc 0, MAN 1 => Syn 0 (FALSE)

The new synonym always looses its state when publish flag was checked. But it should keep the state (without warning in this case).

this is fixed.

for me it does not work yet

#44 - 03/04/2021 08:40 PM - Andreas Miiller

Katja Luther wrote:

Andreas Miller wrote:
Andreas Miiller wrote:

Tested change accepted to synonym
Old parent 1, old acc 1, new acc 1 => new syn 0, w/o warning (FALSE, should be 1 w/o warning)
Old parent 1, old acc 1, new acc 0 => new syn 0, with warning (OK)

Old parent 1, old acc 0, new acc 1 => new syn 1, w/o warning (FALSE, should be 1 with warning)
Old parent 1, old acc 0, new acc 0 => new syn 0, with warning (FALS, should be 0 w/o warning)

The evaluation assumes that the state of the old parent does not matter as discussed via email.

| think the warnings should come when the new accepted taxon and the synonym have different publish flags and | checked it again and it looks
like this:

old acc 1, new acc 1 => new syn 1

old acc 1, new acc 0 => new syn 1 with warning
old acc 0, new acc 1 => new syn 0 with warning
old acc 0, new acc 0 => new syn 0
| agree about the handling of the warning and | tested again and everything works, except for 1x for the second case (no warning appeared) but |
could not reproduce, so | guess in general it works. However, we should watch it a bit.
P.S: Looks like | mixed case 2 and 3 somehow in my original message
#45 - 03/04/2021 08:45 PM - Katja Luther
Andreas Muller wrote:
Katja Luther wrote:
Andreas Miiller wrote:
Tested MAN/ppSyn => Syn
acc 1, MAN 0 => Syn 0 (OK)
acc 1, MAN 1 => Syn 0 (FALSE)
acc 0, MAN 0 => Syn 0 (OK)
(

acc 0, MAN 1 => Syn 0 (FALSE)

The new synonym always looses its state when publish flag was checked. But it should keep the state (without warning in this case).

this is fixed.
for me it does not work yet

maybe | missed to commit, | try again, when jenkins is ready.
#46 - 03/05/2021 12:37 AM - Katja Luther
Katja Luther wrote:
Andreas Miiller wrote:
Katja Luther wrote:
Andreas Miiller wrote:
Tested MAN/ppSyn => Syn
acc 1, MAN 0 => Syn 0 (OK)
acc 1, MAN 1 => Syn 0 (FALSE)
acc 0, MAN 0 => Syn 0 (OK)
acc 0, MAN 1 => Syn 0 (FALSE)

The new synonym always looses its state when publish flag was checked. But it should keep the state (without warning in this
case).

this is fixed.
for me it does not work yet
maybe | missed to commit, | try again, when jenkins is ready.

tested again with nightly on test server:
acc 1, MAN 0 => Syn 1 (FALSE)
acc 1, MAN 1 => Syn 1 (OK)
(OK
(

acc 0, MAN O => Syn 0 )
acc 0, MAN 1 => Syn 0 (FALSE)

but with local server with same TaxonServicelmpl it is:

acc 1, MAN 0 => Syn 0 (OK)
acc 1, MAN 1 => Syn 1 (OK)
acc 0, MAN 0 => Syn 0 (OK)
acc 0, MAN 1 => Syn 1 (OK)

#47 - 03/05/2021 09:39 AM - Katja Luther

Now also MAN -> Synonym works as expected:

acc 1, MAN 0 => Syn 0 (OK)
acc 1, MAN 1 => Syn 1 (OK)
acc 0, MAN 0 => Syn 0 (OK)
acc 0, MAN 1 => Syn 1 (OK)

#48 - 03/05/2021 03:15 PM - Katja Luther
- Description updated
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
I think we can close this ticket, | checked all operations mentioned above.

#49 - 03/05/2021 03:17 PM - Katja Luther

- Description updated
create follow up ticket for the publish check of the whole homotypic group

#50 - 03/05/2021 03:18 PM - Katja Luther

- Related to bug #9516: Check publish flag of all homotypic synonyms when moving added

#51 - 03/05/2021 04:21 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
- Priority changed from New to Highest

- % Done changed from 60 to 100

Yes this can be closed.

#52 - 06/03/2021 11:28 AM - Andreas Miiller

- Tags changed from euro+med, fast to euro+med
